pangomm: Pango::Analysis Class Reference

pangomm 2.28.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Related Functions

# Pango::Analysis Class Reference

A Pango::Analysis stores information about the properties of a segment of text. More...

Collaboration diagram for Pango::Analysis:
[legend]

List of all members.

## Public Member Functions
| Analysis (const PangoAnalysis* src)
Glib::RefPtr< Font > | get_font ()
| Gets the font used to render this segment.
Glib::RefPtr< const Font > | get_font () const
guint8 | get_level () const
| Gets the bidrectional level for this segment.
Language | get_language () const
| Gets the language of this segment.
SListHandle_Attribute | get_extra_attrs () const
| Gets a list of non-font attributes for this segment.
PangoAnalysis* | gobj ()
| Provides access to the underlying C GObject.
const PangoAnalysis* | gobj () const
| Provides access to the underlying C GObject.
## Protected Member Functions
| Analysis ()
## Protected Attributes
PangoAnalysis | gobject_
## Related Functions
(Note that these are not member functions.)
Pango::Analysis& | wrap (PangoAnalysis* object)
const Pango::Analysis& | wrap (const PangoAnalysis* object)

## Detailed Description

A Pango::Analysis stores information about the properties of a segment of text.

Pango::Analysis is used as an output type only so there is no public default constructor. You can retrieve an object of this type from an object of type Pango::Item by calling Pango::Item::get_analysis(). Objects of this class can be used for some calculations in Pango::GlyphString.

## Constructor & Destructor Documentation

Pango::Analysis::Analysis | ( |  | ) | `[protected]`

Pango::Analysis::Analysis | ( | const PangoAnalysis * | src | ) | `[explicit]`

## Member Function Documentation

SListHandle_Attribute Pango::Analysis::get_extra_attrs | ( |  | ) | const

Gets a list of non-font attributes for this segment.

Returns:
  A list of non-font attributes for this segment.

Glib::RefPtr<Font> Pango::Analysis::get_font | ( |  | ) |

Gets the font used to render this segment.

Returns:
  The font used to render this segment.

Glib::RefPtr<const Font> Pango::Analysis::get_font | ( |  | ) | const

Language Pango::Analysis::get_language | ( |  | ) | const

Gets the language of this segment.

Returns:
  The language of this segment.

guint8 Pango::Analysis::get_level | ( |  | ) | const

Gets the bidrectional level for this segment.

Returns:
  The bidirectional level for this segment.

PangoAnalysis* Pango::Analysis::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

const PangoAnalysis* Pango::Analysis::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

## Friends And Related Function Documentation

Pango::Analysis& wrap | ( | PangoAnalysis * | object | ) | `[related]`

const Pango::Analysis& wrap | ( | const PangoAnalysis * | object | ) | `[related]`

## Member Data Documentation

PangoAnalysis Pango::Analysis::gobject_`[protected]`

The documentation for this class was generated from the following file:

- pangomm/item.h